import { createRouter, createWebHistory } from 'vue-router'
import HomeView from "@/views/HomeView.vue";
import ProfileSettings from "@/views/ProfileSettings.vue";
import MissingPage from "@/views/MissingPage.vue";


const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView
    },
    {
      path: '/profileSettings',
      name: 'profileSettings',
      component: ProfileSettings
    },
    {
      path: '/:catchAll(.*)',
      name: "404 Page not found" ,
      component: MissingPage }

  ]
})

export default router
