import axios from "axios";

export const API = {
    /**
     * Fetches all available foodpreference options
     */
    getFoodpreferences: async () => {
        return axios.get(`${import.meta.env.VITE_BACKEND_URL}/foodpreferences`)
            .then((response) => {
                return response.data;
            }).catch(() => {
                throw new Error();
            });
    },

    /**
     *
     * @param id id of the account to retrieve
     * @returns {Promise<*>}
     */
    getAccount: async (id) => {
        return axios.get(`${import.meta.env.VITE_BACKEND_URL}/account/{id}`)
            .then((response) => {
                return response.data;
            }).catch(() => {
                throw new Error();
            });
    },

    /**
     * Updates profile
     */
    updateAccount: async (id, password) => {
        return axios.put(`${import.meta.env.VITE_BACKEND_URL}/account/{id}`)
            .then((response) => {
                return response.data;
            }).catch(() => {
                throw new Error();
            });
    },

    /**
     * Deletes account from the
     * @param id
     * @param token
     * @returns {Promise<*>}
     */
    deleteAccount: async (id, token) => {
        return axios.delete(`${import.meta.env.VITE_BACKEND_URL}/account/{id}`, {
            headers: { Authorization: `Bearer ${token}` },
        })
            .then((response) => {
                return response.data;
            })
            .catch(() => {
                throw new Error("Account not found or not accessible");
            });

    },

    updateProfile: async (id, token) => {
        return axios.delete(`${import.meta.env.VITE_BACKEND_URL}/profile/{id}`, {
            headers: { Authorization: `Bearer ${token}` },
        })
            .then((response) => {
                return response.data;
            })
            .catch(() => {
                throw new Error("Account not found or not accessible");
            });

    },





}
